Инклюдинг локальных файлов в phpPaleo

Дата публикации:
16.03.2012
Дата изменения:
16.03.2012
Всего просмотров:
4054
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:N/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
phpPaleo 4.x
Уязвимые версии: phpPaleo 4.7, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю получить доступ к важным данным на системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "lang" в сценарии index.php. Удаленный пользователь может с помощью специально сформированного запроса, содержащего символы обхода каталога, подключить произвольные файлы.

Для успешной эксплуатации уязвимости требуется, чтобы параметр "magic_quotes_gpc" был отключен.

URL производителя: http://sourceforge.net/projects/phppaleo/

Решение: Установите последнюю версию 4.8 с сайта производителя.

Ссылки: http://seclists.org/oss-sec/2012/q1/650
http://sourceforge.net/projects/phppaleo/files/readme.txt